Bug 160268 - www/webkit-gtk2 build process bails: unable to mmap errors
Summary: www/webkit-gtk2 build process bails: unable to mmap errors
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-gnome (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-29 01:20 UTC by paul
Modified: 2012-02-29 17:00 UTC (History)
0 users

See Also:


Attachments
smime.p7s (4.71 KB, application/pkcs7-signature)
2011-09-14 23:24 UTC, paul
no flags Details
smime.p7s (4.71 KB, application/pkcs7-signature)
2011-09-15 02:06 UTC, paul
no flags Details
smime.p7s (4.71 KB, application/pkcs7-signature)
2011-09-19 17:56 UTC, paul
no flags Details
smime.p7s (4.71 KB, application/pkcs7-signature)
2012-02-29 16:30 UTC, paul
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description paul 2011-08-29 01:20:08 UTC
gmake  all-am
gmake[1]: Entering directory `/usr/ports/www/webkit-gtk2/work/webkit-1.4.2'
  CXXLD  libWebCore.la
ar: warning: can't mmap file: libWebCore_la-JSSVGAnimatedAngle.o: Cannot allocate memory
ar: warning: can't mmap file: libWebCore_la-JSSVGAnimatedBoolean.o: Cannot allocate memory
ar: warning: can't mmap file: libWebCore_la-JSSVGAnimatedEnumeration.o: Cannot a

Fix: 

putting webkit-gtk2 in pkgtools.conf's IGNORE stanza is all I have at the moment
Granted, it's not the beefiest machine but 1Gb of RAM with 3Gb of swap isn't enough?
How-To-Repeat: running portupgrade is enough to provoke this.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2011-08-29 03:21:28 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gnome

Fix synopsis and assign.
Comment 2 Koop Mast 2011-09-14 22:51:51 UTC
Do you by chance have the WITH_DEBUG option enabled? that eats
memory/diskspace like crazy. I used to be able to build webkit on a box
with 1G RAM / 1G Swap. But I don't know if I tried that with the DEBUG
option or not.
Comment 3 dfilter service freebsd_committer 2012-02-27 19:49:13 UTC
kwm         2012-02-27 19:49:04 UTC

  FreeBSD ports repository

  Modified files:
    www/webkit-gtk2      Makefile 
  Log:
  Remove the video option, webkit no longer builds without it.
  
  PR:             ports/160268 [1], ports/160471 [2]
  Reported by:    paul@thistledew.org [1], Martin Laabs <spamtrap@martinlaabs.de> [2]
  
  Revision  Changes    Path
  1.45      +2 -10     ports/www/webkit-gtk2/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Koop Mast freebsd_committer 2012-02-27 19:49:29 UTC
State Changed
From-To: open->closed

Fix committed, thanks for reporting.
Comment 5 paul 2012-02-29 16:30:15 UTC
On Feb 27, 2012, at 11:50 AM, kwm@FreeBSD.org wrote:

> Synopsis: www/webkit-gtk2 build process bails: unable to mmap errors
> 
> State-Changed-From-To: open->closed
> State-Changed-By: kwm
> State-Changed-When: Mon Feb 27 19:49:29 UTC 2012
> State-Changed-Why: 
> Fix committed, thanks for reporting.
> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=160268


After a couple of csup pulls and portupgrade runs, still seeing this. I uninstalled the port back when this was giving me trouble so I don't need it but I was curious to see if it would still fail, if it's just too much for my hardware. 

gmake[2]: `Source/WebKit/gtk/po/zh_CN.mo' is up to date.
gmake[2]: Leaving directory `/usr/ports/www/webkit-gtk2/work/webkit-1.4.3'
touch stamp-po
  CXXLD  libJavaScriptCore.la
  CXXLD  TestNetscapePlugin/libtestnetscapeplugin.la
  CXXLD  Programs/jsc
  CCLD   Programs/minidom
/usr/local/bin/gmkdir -p ./.deps/DerivedSources
  GEN    Programs/jsc-1
ranlib: fatal: malloc failed: Cannot allocate memory
gmake[1]: *** [libWebCore.la] Error 70
gmake[1]: Leaving directory `/usr/ports/www/webkit-gtk2/work/webkit-1.4.3'
gmake: *** [all] Error 2
*** Error code 1

Stop in /usr/ports/www/webkit-gtk2.
*** Error code 1

Stop in /usr/ports/www/webkit-gtk2.